<?php
$fileName = "./words.txt";

if(!isSet($_POST["text"])){
  die("Nieprawidłowe wywołanie skryptu.");
}

$text = $_POST["text"];

if($text == ""){
  die("Brak danych do sprawdzenia.");
}

if(!$slownik = @file($fileName)){
  die("Brak słownika.");
}

foreach($slownik as $key => $val){
  $slownik[$key] = rtrim($val);
}

$count = strlen($text);
$word = "";
$inword = false;
$output = "";

for($i = 0; $i < $count; $i++){
  if(($text[$i] >= 'a' && $text[$i] <= 'z') || 
     ($text[$i] >= 'A' && $text[$i] <= 'Z')){
    $inword = true;
    $word .= $text[$i];
  }
  else{
    if($inword){
      $output .= checkWord($word, $slownik);
      $word = "";
    }
    $output .= $text[$i];
    $inword = false;
  }
}
if($inword){
  $output .= checkWord($word, $slownik);
}

echo $output;

function checkWord($word, $slownik){
  if(in_array(strtolower($word), $slownik)){
    return $word;
  }
  else{
    return "<span class='span_select'>$word</span>";
  }
}

?>